eoPropCombinedBinOp(3)

NAME
eoPropCombinedBinOp - COmbined Binary genetic operator: operator() has two operands, only the first one can be modified.

SYNOPSIS

#include <eoProportionalCombinedOp.h>

Inherits eoBinOp< EOT >.

  Public Member Functions
eoPropCombinedBinOp (eoBinOp< EOT > &_first, const double _rate)
Ctor.
virtual std::string className () const
virtual void add (eoBinOp< EOT > &_op, const double _rate, bool _verbose=false)
virtual void operator() (EOT &_indi1, const EOT &_indi2)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
std::vector< eoBinOp< EOT > * > ops
std::vector< double > rates

Detailed Description

  template<class EOT> class eoPropCombinedBinOp< EOT >
COmbined Binary genetic operator: operator() has two operands, only the first one can be modified.

Definition at line 109 of file eoProportionalCombinedOp.h.

Author

Generated automatically by Doxygen for EO from the source code.